<?xml version="1.0" encoding="ISO-8859-1"?>
<document>
<head>
    <name>Design</name>
    <doc-version>$Date: 2003/07/21 13:57:55 $</doc-version>
    <author>Matt Albrecht</author>
</head>
<body>
<P>
The design is intended to be as simple as possible.  Provide methods that
know how to properly escape Java strings for proper insertion into XML
documents.
</P>
<P>
In order to better support any need for subclassing, the methods are
not made static.  Rather, a static factory method is provided which can
be overridden by subclasses to provide a new singleton instance of
the class.
</P>
</body>
</document>

